<!-- Tabla de datos -->
<table class="table">
    <thead>
        <tr class="text-center">
            <ng-container *ngFor="let head of data.head">
                <th>{{head.name}}</th>
            </ng-container>
    
        </tr>
    </thead>
    <tbody>
        <ng-container *ngFor="let body of data.body;">
            <tr class="text-center">
            <ng-container *ngFor="let head of data.head">
                <ng-container *ngIf="!head.actions == true else actions">
                    <ng-container *ngIf="!head.image == true else img">
                        <td>{{body[head.nameDataBase]}}</td>
                    </ng-container>
                </ng-container>

                <ng-template #img>
                    
                        <td style="max-width: 180px;">
                            <img width="100%" src="data:image/Buffer;base64,{{body[head.nameDataBase]['data']}}" alt="">
                        </td>
 
                </ng-template>
                
                <ng-template #actions>
                    <ng-container *ngIf="body.id else none">
                        <td style="min-width: 100px;">
                            <a routerLink="/{{ruta['edit']}}{{body.id}}" class="btn btn-warning btn-sm me-1">
                                <i class="bi bi-pencil-square"></i> </a>
                            <a (click)="onDelete(body.id)" class="btn btn-danger btn-sm">
                                <i class="bi bi-trash3-fill"></i> </a>
                        </td>
                    </ng-container>
                    <ng-template #none>
                        <td></td>
                    </ng-template>


                
                    
                </ng-template>
            </ng-container>
            </tr>
        </ng-container>
        
    </tbody>    
</table>

<!--
    <td>
                    <input type="checkbox" aria-label="Checkbox for following text input">
                </td>
                <td>
                    <i class="bi bi-person-fill"></i>
                </td>

                <td>usuario1example.com</td>
                <td>
                    <button class="btn btn-activo btn-sm">Activo</button>
                </td>
                <td>
                    <button class="btn btn-warning btn-sm">
                        <i class="bi bi-pencil-square"></i> </button>
                    <button class="btn btn-danger btn-sm">
                        <i class="bi bi-trash3-fill"></i> </button>
                </td>
-->